Bug 12282 - failed upgrade removes /var/lib/rpm/packages.rpm
failed upgrade removes /var/lib/rpm/packages.rpm
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
7.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Brock Organ
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-06-14 13:46 EDT by James Manning
Modified: 2007-04-18 12:27 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-12-08 14:53:20 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description James Manning 2000-06-14 13:46:34 EDT
Failed upgrade (see bug 12276, bug 12278, bug 12280, bug 12281) of 6.2 to
beta1.  After booting back to 6.2 to try and free up more space, rpm,
gnorpm, etc. barf on /var/lib/rpm/packages.rpm missing.  Sure enough, the
only contents of /var/lib/rpm are:

Basenames, Conflictname, Group, Name, Packages, Providename, Requirename,
Triggername
Comment 1 Brock Organ 2000-07-18 13:43:30 EDT
verified this behavior is still present in post-beta3 internal build ...
Comment 2 Michael Fulbright 2000-07-21 14:40:03 EDT
Can we see if this is still a beta4 problem before beta 5 please?
Comment 3 Matt Wilson 2000-07-24 17:09:04 EDT
Fixed in latest builds
Comment 4 Brock Organ 2001-01-09 17:06:26 EST
verified fix in test tree qa0109.0 ...

Note You need to log in before you can comment on or make changes to this bug.